> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Topics

> List all your topic clusters.

Topic clusters group related keywords and AI prompts together, letting you track your authority and visibility for each topic area.


## OpenAPI

````yaml GET /v3/topic-clusters/
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security: []
tags:
  - name: Keywords
    description: Keyword research and suggestion end-points
  - name: Onboarding
    description: Brand onboarding and strategy end-points
  - name: Brands
    description: Brand management end-points
  - name: Organizations
    description: Organization and member end-points
  - name: Integrations
    description: Google Search Console and other integrations
  - name: Utilities
    description: Common utility end-points like screenshots and uploads
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/topic-clusters/:
    get:
      tags:
        - Topic Clusters
      summary: List topic clusters
      description: >-
        Returns all topic clusters for a team with visibility and authority
        scores.
      parameters:
        - schema:
            type: string
          in: query
          name: teamId
          required: false
          description: Team ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      totalKeywords:
                        type: number
                      trackedPrompts:
                        type: number
                      avgSearchVisibility:
                        type: number
                      avgAiVisibility:
                        type: number
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        createdAt:
                          type: string
                        keywordCount:
                          type: number
                        promptCount:
                          type: number
                        trackedPromptCount:
                          type: number
                        trackedKeywordCount:
                          type: number
                        aiVisibility:
                          type: number
                        searchVisibility:
                          type: number
                        topicalAuthorityScore:
                          type: number
                        coveragePct:
                          type: number
                        coverage:
                          type: object
                          properties:
                            total:
                              type: number
                            published:
                              type: number
                            generated:
                              type: number
                            planned:
                              type: number
                            unused:
                              type: number
                        changePct:
                          type: number
                          nullable: true
                        trend:
                          type: string
                          enum:
                            - rising
                            - falling
                            - stable
                        leaders:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              domain:
                                type: string
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string

````